Pagina 1 di 2 12 UltimoUltimo
Visualizzazione risultati 1 fino 30 di 35

Discussione: Librerie IonCube

  1. #1
    Guest

    Arrow Librerie IonCube

    Salve a tutti,

    ho notato che molti utenti, me compreso, hanno necessità di avere il servizio ioncube sul server per poter far girare alcuni script codificati.

    Da una ricerca ho trovato thread vecchi e richieste sparse quà e là per il forum di altevista.

    Al fine di riunire tutti gli utenti che, per un motivo o per un altro, per componenti di joomla o altro software proprietario, abbiamo necessità di queste librerie; invito tutti coloro che vorrebbero installate almeno le funzionalità base di ioncube sul server altervista a lasciare un messaggio in questo thread.

    In questo modo, almeno, vedremo quanti utenti hanno necessità o interesse che altervista supporti, senza disperdere le richieste, le librerie ioncube e gli amministratori potranno regolarsi di conseguenza.

    Grazie.

  2. #2
    Guest

    Predefinito Aggiornamenti ioncube

    Salve, scusate se torno sull'argomento, so che si è già parlato di librerie ioncube e so che in quell'occasione si è detto che ci si stava lavorando su... ora però quando se ne è parlato era il 2007 quindi le discussioni erano piuttosto datate, comunque di recente nessuna notizia.

    A questo riguardo mi piacerebbe sapere se questo tipo di opzione viene attualmente ancora presa in considerazione oppure è stata abbandonata definitivamente e se si tratta di aspettare un pò oppure l'attesa è più dilatata, se ci sono altre possibilità.

    Notizie insomma, semplicemente notizie in modo almeno da potercisi regolare nel prossimo futuro.

    Grazie
    Gabriel

  3. #3
    alb3rt1 non è connesso Neofita
    Data registrazione
    08-01-2008
    Messaggi
    13

    Predefinito

    Se AV vuole offrire in futuro un ulteriore servizio gratuito x la community... Io ci stò!
    Favorevole ed interessato :)

  4. #4
    Guest

    Predefinito

    almeno lo attivassero io ne ho bisogno per creare un sito tipo youtube

  5. #5
    Guest

    Predefinito

    Ioncube supporta anche l'installazione nel caso non si possieda l'accesso al php.ini, purtroppo l'analisi si arresta visualizzando la seguente notifica causata dalla stringa di debug attivata.

    Run-Time Loading Installation Instructions
    Testing Server
    Testing whether your system supports run-time loading...

    Results
    Your PHP installation appears to be built with debugging support enabled and this is incompatible with ionCube Loaders.

    Debugging support in PHP produces slower execution, is not recommended for production builds and was probably a mistake.
    Instructions
    You should rebuild PHP without the --enable-debug option.

  6. #6
    L'avatar di Gianluca
    Gianluca non è connesso Amministratore
    Data registrazione
    15-02-2001
    Messaggi
    18,026

    Predefinito

    pistantella:

    hai provato l'installazione su php4 o php5 ?
    Gianluca

  7. #7
    Guest

    Predefinito

    salve Gianluca,
    uso php5 sul server 49.
    Ho caricato la cartella ioncube e puntato il browser su http://www.pistantella.altervista.or...der-helper.php e scelto la procedura per chi non ha accesso al file php.ini, viene caricata la pagina di test http://www.pistantella.altervista.or...age=rtl-tester con il messaggio citato su.
    Se vi servono altre informazioni chiedete pure.

  8. #8
    L'avatar di Gianluca
    Gianluca non è connesso Amministratore
    Data registrazione
    15-02-2001
    Messaggi
    18,026

    Predefinito

    Questo problema nello specifico sarà risolto con il prossimo aggiornamento di php5, pianificato entro l'inizio dell'autunno, dovresti però riuscire su php4
    Gianluca

  9. #9
    Guest

    Predefinito

    D'accordo allora proverò con php4 per verificare se quello è l'unico ostacolo oppure se ne presentano altri.
    Grazie del consiglio

  10. #10
    Guest

    Predefinito

    provato su php4
    risultato:
    Testing Server
    Testing whether your system supports run-time loading...


    Looking for Loader 'ioncube_loader__4.4.so'

    Extensions Dir: . (/membri/pistantella/ioncube)
    Relative Path: /../../../membri/pistantella/ioncube/
    Found Loader: /membri/pistantella/ioncube/../../../membri/pistantella/ioncube/ioncube_loader__4.4.so

    Trying to install Loader - this may produce an error...

    Results
    The Loader was not installed.
    Instructions
    Run-time loading is not currently possible.
    If you require further assistance, please contact ionCube support providing
    a link to this script.
    mi sembrava strano il file .so da caricare poichè non esiste un file ioncube_loader__4.4.so ma dovrebbe essere ioncube_loader_lin_4.4.so immagino quindi ho fatto l'analisi della configurazione di sistema:

    Analysis of your system configuration shows:

    PHP Version --> 4.4.9
    Operating System --> (vuoto, nessuna info)
    Threaded PHP --> No
    php.ini file --> Check phpinfo() output for location
    Required Loader --> ioncube_loader_(vuoto)_4.4.so
    Rinominando il file ioncube_loader_lin_4.4.so in ioncube_loader__4.4.so ed il relativo file ts.so comunque non viene installato, io ho utilizzato 2 pacchetti per la prova: linux x86 e linux x86-64 supponendo che altervista utilizzi linux come sistema operativo.
    Ultima modifica di pistantella : 24-08-2009 alle ore 16.13.42

  11. #11
    L'avatar di Gianluca
    Gianluca non è connesso Amministratore
    Data registrazione
    15-02-2001
    Messaggi
    18,026

    Predefinito

    Abbiamo anticipato la tabella di marcia per la messa online degli aggiornamenti, prevediamo che entro l'inizio della prossima settimana la nuova versione di php5 dovrebbe essere online, potrai quindi provarlo anche su quello.
    Gianluca

  12. #12
    Guest

    Predefinito

    Perfetto, infatti preferisco lavorare direttamente con la versione di php che userò in modo da evitare problemi imprevisti, nel frattempo ho inviato un messaggio al team di supporto ioncube per sapere cosa può ostacolare il processo di installazione ed eventualmente cosa tentare; ora attendo risposta.

  13. #13
    Guest

    Predefinito

    La risposta del supporto iocube è stata:

    Most likely it's Linux. Try renaming ioncube_loader_lin_4.4.so as ioncube_loader__4.4.so from the Linux x86 Loaders package and seeing if that works. If not, do the same from the Linux x86-64 Loaders. If still stuck, ask the host for assistance with this as they should be providing support for encoded files as standard.

    Best regards
    Nick
    --
    ionCube Support
    Purtroppo avevo già fatto quelle prove, quindi attendo l'aggiornamento del nuovo php5.

  14. #14
    Guest

    Predefinito

    Il php5 è stato aggornato da un pò, ora non so quanto sia pronto dal momento che la comunicazione ufficiale via mail non è arrivata, ma questa è la situazione attuale:

    Testing Server
    Testing whether your system supports run-time loading...


    Looking for Loader 'ioncube_loader__5.2.so'

    Extensions Dir: /usr/local/php5-fcgi/lib/php/extensions/ (NOT FOUND)

    Results
    The directory set for the extension_dir entry in the php.ini file may not exist, and run time loading will not be possible.
    Instructions
    Please ask your hosting provider or system administrator to create the directory

    /usr/local/php5-fcgi/lib/php/extensions/

    ensuring that it is accessible by the web server software. They do not need to restart the server. Then rerun this script. As an alternative, your host could install the Loader in the php.ini file.

  15. #15
    Guest

    Predefinito

    Salve
    a me serve l'aggiornamento del librerie IonCube al 5.2, dato che l'applicazione mi dà quest'errore:

    Site error: the file /membri/facebuddy/include/joovili.encode.php requires the ionCube PHP Loader ioncube_loader__5.2.so to be installed by the site administrator.

  16. #16
    Guest

    Predefinito

    Anch'io ricevo il seguente messaggio:
    "Site error: the file /membri/xxxxxx/administrator/components/com_fastball/admin.fastball.php requires the ionCube PHP Loader ioncube_loader__4.4.so to be installed by the site administrator."
    Passando a PHP5 posso migliorare qualcosa ?

  17. #17
    L'avatar di digilinux
    digilinux non è connesso Utente attivo
    Data registrazione
    27-04-2009
    Messaggi
    478

    Predefinito

    Si, in effetti pure a me servirebbe IonCube per far partire un sistema di community sul mio sito...

  18. #18
    Guest

    Predefinito

    Citazione Originalmente inviato da digilinux Visualizza messaggio
    Si, in effetti pure a me servirebbe IonCube per far partire un sistema di community sul mio sito...
    ciao a tutti vorrei sapere come faccio ad installare nel mio sito il sistema ioncube.
    ecco il mio errore:

    Site error: the file /membri/******/php5/ladder/root/install/install.php requires the ionCube PHP Loader ioncube_loader__5.2.so to be installed by the site administrator.

  19. #19
    lokodb non è connesso Neofita
    Data registrazione
    02-10-2009
    Messaggi
    10

    Predefinito

    Ciao ragazzi...

    mi suggerite come installare ioncube... non lo riesco a capire!

  20. #20
    tempodiagire non è connesso Neofita
    Data registrazione
    21-09-2011
    Messaggi
    2

    Predefinito

    Ci sono novità?

  21. #21
    Guest

    Predefinito

    Anche a me da lo stesso messaggio relativo a ioncube 5.2, ho installato una libreria di loaders ioncube sul mio sito compreso il 5.2 ma quando cerco di attivare il plug-in che mi interessa mi da lo stesso messaggio di prima, come se non fosse installato

  22. #22
    indiretta non è connesso Neofita
    Data registrazione
    22-12-2011
    Messaggi
    7

    Predefinito

    Esiste qualche modo per far funzionare un script codificato con IonCube??

  23. #23
    Guest

    Predefinito

    Citazione Originalmente inviato da indiretta Visualizza messaggio
    Esiste qualche modo per far funzionare un script codificato con IonCube??
    Perdonami, ma se esistesse non credi che quelle librerie sarebbero inutili?

  24. #24
    indiretta non è connesso Neofita
    Data registrazione
    22-12-2011
    Messaggi
    7

    Predefinito

    Io volevo sapere se qualcuno è riuscito installando ioncube loader mi spiego?

  25. #25
    karinafolkmusic non è connesso Neofita
    Data registrazione
    08-03-2009
    Residenza
    Torre del Greco (Napoli)
    Messaggi
    5

    Predefinito

    Qualcuno può aiutarmi?

    Site error: the file /membri/karinafolkmusic/network/includes/libs/ss.inc.php requires the ionCube PHP Loader ioncube_loader__5.3.so to be installed by the website operator. If you are the website operator please use the ionCube Loader Wizard to assist with installation.

  26. #26
    Guest

    Angry Ioncube loader

    Altervista è ora di attivare sto benedetto Ioncube sui tuoi server, ormai c'è un popolo intero che te lo sta richiedendo e dajeeeee

  27. #27
    Guest

    Thumbs down

    Citazione Originalmente inviato da letsbnb Visualizza messaggio
    Altervista è ora di attivare sto benedetto Ioncube sui tuoi server, ormai c'è un popolo intero che te lo sta richiedendo e dajeeeee

    ...effettivamente...

  28. #28
    interno non è connesso Utente giovane
    Data registrazione
    07-01-2005
    Messaggi
    66

    Predefinito

    Piacerebbe anche a me.

  29. #29
    L'avatar di Gianluca
    Gianluca non è connesso Amministratore
    Data registrazione
    15-02-2001
    Messaggi
    18,026

    Predefinito

    L'introduzione di ioncube è nella "todo" list, prevediamo che diventerà disponibile entro la fine dell'anno.
    Gianluca

  30. #30
    Guest

    Predefinito

    Salve a tutti, abbiamo già passato la fine dell'anno, ancora non avete installato IonCube sui vostri server? Mi serve... se provo ad installarlo io mi segnala che non è disponibile ancora nessuna versione di IonCube per i server di AlterVista

Pagina 1 di 2 12 UltimoUltimo

Tags for this Thread

Regole di scrittura

  • Non puoi creare nuove discussioni
  • Non puoi rispondere ai messaggi
  • Non puoi inserire allegati.
  • Non puoi modificare i tuoi messaggi
  •